org.apache.sysds.runtime.compress.cocode

## Class CoCodeBinPacking

- java.lang.Object
- - org.apache.sysds.runtime.compress.cocode.AColumnCoCoder
  - - org.apache.sysds.runtime.compress.cocode.CoCodeBinPacking

    public class CoCodeBinPacking
    extends AColumnCoCoder

Column group partitioning with bin packing heuristic.

### Field Summary

Fields
`static double` `BIN_CAPACITY` Use a constant partition size independent of the number of rows in order to ensure constant compression speed independent of blocking.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BIN_CAPACITY

    public static double BIN_CAPACITY

Use a constant partition size independent of the number of rows in order to ensure constant compression speed independent of blocking. Higher values gives more CoCoding at the cost of longer compressionTimes. VLDB 2018 Paper: Default 0.000032